Assignments Assignments

Public Member Functions | Public Attributes | List of all members
Util::TransformationParameter< RotationParameterType > Class Template Reference

`#include <geometry.h>`

Inheritance diagram for Util::TransformationParameter< RotationParameterType >:

## Public Member Functions
| TransformationParameter (void)
| TransformationParameter (const Matrix4D &m)
| TransformationParameter (const Matrix4D &m, const TransformationParameter &p)
TransformationParameter | operator* (double scale) const
TransformationParameter | operator+ (const TransformationParameter &tp) const
Matrix4D | operator() (void) const

## Public Attributes
RotationParameterType | rotationParameter
Point3D | translation

## Detailed Description

template<typename RotationParameterType>
class Util::TransformationParameter< RotationParameterType >

This templated class represents a parametrization of a 4x4 (rigid) matrix represented as a rotation and translation

## Constructor & Destructor Documentation

## ◆ TransformationParameter() [1/3]

template<typename RotationParameterType >

Util::TransformationParameter< RotationParameterType >::TransformationParameter | ( | void |  | ) |

The default constructor

## ◆ TransformationParameter() [2/3]

template<typename RotationParameterType >

Util::TransformationParameter< RotationParameterType >::TransformationParameter | ( | const Matrix4D & | m | ) |

This constructor sets the parameters from a 4x4 matrix

## ◆ TransformationParameter() [3/3]

template<typename RotationParameterType >

Util::TransformationParameter< RotationParameterType >::TransformationParameter | ( | const Matrix4D & | m,
|  | const TransformationParameter< RotationParameterType > & | p )

This constructor sets the parameters from a 4x4 matrix and the previous parameter

## Member Function Documentation

## ◆ operator()()

template<typename RotationParameterType >

Matrix4D Util::TransformationParameter< RotationParameterType >::operator() | ( | void |  | ) | const

This method transforms the parameter into a rotation

## ◆ operator*()

template<typename RotationParameterType >

TransformationParameter< RotationParameterType > Util::TransformationParameter< RotationParameterType >::operator* | ( | double | scale | ) | const

This method returns the product of the parameter with a scalar

## ◆ operator+()

template<typename RotationParameterType >

TransformationParameter< RotationParameterType > Util::TransformationParameter< RotationParameterType >::operator+ | ( | const TransformationParameter< RotationParameterType > & | tp | ) | const

This method returns the sum of two parameters

## Member Data Documentation

## ◆ rotationParameter

template<typename RotationParameterType >

RotationParameterType Util::TransformationParameter< RotationParameterType >::rotationParameter

The parametric representation of the rotation

## ◆ translation

template<typename RotationParameterType >

Point3D Util::TransformationParameter< RotationParameterType >::translation

The translation

The documentation for this class was generated from the following files:

- Assignments/Util/geometry.h
- Assignments/Util/geometry.inl